summaryrefslogtreecommitdiff
path: root/scripts/preconfig
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/preconfig')
-rwxr-xr-xscripts/preconfig4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/preconfig b/scripts/preconfig
index b230de4..40d182d 100755
--- a/scripts/preconfig
+++ b/scripts/preconfig
@@ -4,7 +4,7 @@
makefiles=`echo ext/*/Makefile.am | sed -e 's/\.am//g'`
sed -e "s#@@EXT_MAKEFILES@@#$makefiles#" configure.in.in > configure.in.new
-if ! cmp configure.in configure.in.new 2>/dev/null; then
+if ! cmp configure.in configure.in.new > /dev/null 2>&1; then
mv configure.in.new configure.in
else
rm -f configure.in.new
@@ -17,7 +17,7 @@ if test "$confighfiles" != "ext/*/config.h.stub"; then
cat $file >> acconfig.h.new
done
fi
-if ! cmp acconfig.h acconfig.h.new 2>/dev/null; then
+if ! cmp acconfig.h acconfig.h.new > /dev/null 2>&1; then
mv acconfig.h.new acconfig.h
autoheader
else